<?php

require_once( '../../internals/Header.inc.php' );

// Receive needed datas
$custom = $_REQUEST['MNT_TRANSACTION_ID'];

// check sale info hash and provider hash
if ( !strlen($custom) )
	die("FAIL");


app_Finance::LogPayment( $_REQUEST, __FILE__, __LINE__ );

$merchant_fields = app_Finance::getPaymentProviderFields( 'PayAnyWay' );
$code = $merchant_fields['mnt_dataintegrity_code'];

if ( !verify($code) )
{
	app_Finance::LogPayment( 'Not verified', __FILE__, __LINE__, $custom );
	die("FAIL");
}


if ( app_Finance::SetTransactionResult( $custom, 'approval', $_REQUEST["amount"], $custom ) )
{
	app_Finance::LogPayment( 'APPROVAL', __FILE__, __LINE__ );
	$__CUSTOM = $custom;

	require_once( '../post_checkout.php' );
}
app_Finance::LogPayment( 'END', __FILE__, __LINE__, $custom );
die('SUCCESS');




/**
 * Checks hash verification.
 *
 */
function verify($code) {
	$params = '';
	if (isset($_REQUEST['MNT_COMMAND'])) $params .= $_REQUEST['MNT_COMMAND'];
	$params .= $_REQUEST['MNT_ID'] . $_REQUEST['MNT_TRANSACTION_ID'];
	if (isset($_REQUEST['MNT_OPERATION_ID'])) $params .= $_REQUEST['MNT_OPERATION_ID'];
	if (isset($_REQUEST['MNT_AMOUNT'])) $params .= $_REQUEST['MNT_AMOUNT'];
	$params .= $_REQUEST['MNT_CURRENCY_CODE'];
	if (isset($_REQUEST['MNT_SUBSCRIBER_ID'])) $params .= $_REQUEST['MNT_SUBSCRIBER_ID'];
	$params .= $_REQUEST['MNT_TEST_MODE'];

	$signature = md5($params . $code);

	if(strcasecmp($signature, $_REQUEST['MNT_SIGNATURE'] ) == 0) {
		return true;
	}
	return false;
}

