<?php

session_start();
$provider_dir = dirname(dirname(dirname(__FILE__)));
define('DIR_INTERNALS', $provider_dir . DIRECTORY_SEPARATOR . 'internals' . DIRECTORY_SEPARATOR);

require_once DIR_INTERNALS . '$config.php';

if ( !isset($_SESSION['__SALE_INFO_ARR']) )
{
    if ( $_SESSION['order_item'] == 'points_package' )
    {
        $page = 'points_purchase.php';
    }
    else
    {
        $page = 'payment_selection.php';
    } 
    header('Location:' . SITE_URL . 'member/' . $page );
    exit();
}

$mnt_id = $_SESSION['__SALE_INFO_ARR']['provider_info']['fields']['mnt_id'];
$mnt_transaction_id = $_SESSION['__SALE_INFO_ARR']['custom'];
$amount = number_format($_SESSION['__SALE_INFO_ARR']['price'], 2, '.', '');
$currency = $_SESSION['__SALE_INFO_ARR']['currency'];
$mnt_test_mode = $_SESSION['__SALE_INFO_ARR']['provider_info']['fields']['mnt_test_mode'];
$mnt_test_mode = (!empty($mnt_test_mode)) ? 1 : 0;
$mnt_dataintegrity_code = $_SESSION['__SALE_INFO_ARR']['provider_info']['fields']['mnt_dataintegrity_code'];
$mnt_description = $_SESSION['__SALE_INFO_ARR']['membership_description'];

$signature = md5("{$mnt_id}{$mnt_transaction_id}{$amount}{$currency}{$mnt_test_mode}{$mnt_dataintegrity_code}");
?>

<html>
<body>
    <form accept-charset="UTF-8" name="purchase_form" action="https://www.payanyway.ru/assistant.htm" method="post">
        <input type="hidden" name="MNT_ID" value="<?=$mnt_id;?>" />
	    <input type="hidden" name="MNT_TRANSACTION_ID" value="<?= $mnt_transaction_id;?>" />
	    <input type="hidden" name="MNT_AMOUNT" value="<?=$amount;?>" />
	    <input type="hidden" name="MNT_CURRENCY" value="<?=$currency;?>" />
	    <input type="hidden" name="MNT_DESCRIPTION" value="<?=$mnt_description;?>" />
	    <input type="hidden" name="MNT_SIGNATURE" value="<?=$signature;?>" />


        <input type="hidden" name="MNT_SUCCESS_URL" value="<?=SITE_URL.'checkout/PayAnyWay/completed.php'?>" />
        <input type="hidden" name="MNT_FAIL_URL" value="<?=SITE_URL.'checkout/PayAnyWay/completed.php';?>" />
        <input type="hidden" name="PAY_URL" value="<?=SITE_URL.'checkout/PayAnyWay/postback.php'?>" />

        <script language="JavaScript">
            document.forms["purchase_form"].submit();
        </script>
    </form>
</body>
</html>

<?php 
    unset($_SESSION['__SALE_INFO_ARR']);
?>